ApiManagementUsers
POST
/v1/mgmt/family/updateAuthorization
Descope Project ID and Management Key AuthorizationBearer <token>
Project ID:Management Key as bearer token.
In: header
Request Body
application/json
id?string
name?string
customAttributes?object
Custom attributes as key-value pairs. Keys must be strings; values can be strings, numbers, booleans, or arrays.
Example
{
"attribute-key": "attribute-value"
}photo?string
disabled?boolean
Update a family's name, custom attributes, photo, or disabled state, using a valid management key. Omitted fields are left unchanged.
curl -X POST "https://api.descope.com/v1/mgmt/family/update" \ -H "Content-Type: application/json" \ -d '{}'{ "family": { "id": "string", "name": "string", "customAttributes": { "attribute-key": "attribute-value" }, "disabled": true, "photo": "string", "createdTime": 0 }}export interface Response {family?: Family}export interface Family {id?: stringname?: string/** * Custom attributes as key-value pairs. Keys must be strings; values can be strings, numbers, booleans, or arrays. */customAttributes?: {[k: string]: string}disabled?: booleanphoto?: stringcreatedTime?: number} Was this helpful?